org.apache.maven.settings

## Class RuntimeInfo

- java.lang.Object
- - org.apache.maven.settings.RuntimeInfo

    public class RuntimeInfo
    extends java.lang.Object

To handle runtime informations like local repository or profiles.

Version:
  $Id: RuntimeInfo.java 638306 2008-03-18 10:20:28Z bentmann $

### Constructor Summary

Constructors
Constructor and Description
`RuntimeInfo(Settings settings)`

### Method Summary

Methods
`java.lang.Boolean` `getApplyToAllPluginUpdates()`
`java.io.File` `getFile()`
`java.lang.String` `getLocalRepositorySourceLevel()`
`java.lang.Boolean` `getPluginUpdateOverride()`
`java.lang.String` `getSourceLevelForActiveProfile(java.lang.String activeProfile)`
`java.lang.String` `getSourceLevelForPluginGroupId(java.lang.String pluginGroupId)`
`void` `setActiveProfileSourceLevel(java.lang.String activeProfile, java.lang.String sourceLevel)`
`void` `setApplyToAllPluginUpdates(java.lang.Boolean applyToAll)`
`void` `setFile(java.io.File file)`
`void` `setLocalRepositorySourceLevel(java.lang.String localRepoSourceLevel)`
`void` `setPluginGroupIdSourceLevel(java.lang.String pluginGroupId, java.lang.String sourceLevel)`
`void` `setPluginUpdateOverride(java.lang.Boolean pluginUpdateForced)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeInfo

    public RuntimeInfo(Settings settings)

Parameters:
  `settings` -

### Method Detail

#### setFile

    public void setFile(java.io.File file)

Parameters:
  `file` -

#### getFile

    public java.io.File getFile()

Returns:

#### setPluginUpdateOverride

    public void setPluginUpdateOverride(java.lang.Boolean pluginUpdateForced)

Parameters:
  `pluginUpdateForced` -

#### getPluginUpdateOverride

    public java.lang.Boolean getPluginUpdateOverride()

Returns:

#### getApplyToAllPluginUpdates

    public java.lang.Boolean getApplyToAllPluginUpdates()

Returns:

#### setApplyToAllPluginUpdates

    public void setApplyToAllPluginUpdates(java.lang.Boolean applyToAll)

Parameters:
  `applyToAll` -

#### setActiveProfileSourceLevel

    public void setActiveProfileSourceLevel(java.lang.String activeProfile,
                                   java.lang.String sourceLevel)

Parameters:
  `activeProfile` -
  `sourceLevel` -

#### getSourceLevelForActiveProfile

    public java.lang.String getSourceLevelForActiveProfile(java.lang.String activeProfile)

Parameters:
  `activeProfile` -
Returns:

#### setPluginGroupIdSourceLevel

    public void setPluginGroupIdSourceLevel(java.lang.String pluginGroupId,
                                   java.lang.String sourceLevel)

Parameters:
  `pluginGroupId` -
  `sourceLevel` -

#### getSourceLevelForPluginGroupId

    public java.lang.String getSourceLevelForPluginGroupId(java.lang.String pluginGroupId)

Parameters:
  `pluginGroupId` -
Returns:

#### setLocalRepositorySourceLevel

    public void setLocalRepositorySourceLevel(java.lang.String localRepoSourceLevel)

Parameters:
  `localRepoSourceLevel` -

#### getLocalRepositorySourceLevel

    public java.lang.String getLocalRepositorySourceLevel()

Returns: